Package com.google.protobuf

# Interface DescriptorProtos.UninterpretedOption.NamePartOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.UninterpretedOption.NamePart`, `DescriptorProtos.UninterpretedOption.NamePart.Builder`

Enclosing class:
  `DescriptorProtos.UninterpretedOption`

public static interface DescriptorProtos.UninterpretedOption.NamePartOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getIsExtension()`
`required bool is_extension = 2 [json_name = "isExtension"];`
`String`
`getNamePart()`
`required string name_part = 1 [json_name = "namePart"];`
`ByteString`
`getNamePartBytes()`
`required string name_part = 1 [json_name = "namePart"];`
`boolean`
`hasIsExtension()`
`required bool is_extension = 2 [json_name = "isExtension"];`
`boolean`
`hasNamePart()`
`required string name_part = 1 [json_name = "namePart"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasNamePart

boolean hasNamePart()
`required string name_part = 1 [json_name = "namePart"];`

Returns:
  Whether the namePart field is set.

### getNamePart

String getNamePart()
`required string name_part = 1 [json_name = "namePart"];`

Returns:
  The namePart.

### getNamePartBytes

ByteString getNamePartBytes()
`required string name_part = 1 [json_name = "namePart"];`

Returns:
  The bytes for namePart.

### hasIsExtension

boolean hasIsExtension()
`required bool is_extension = 2 [json_name = "isExtension"];`

Returns:
  Whether the isExtension field is set.

### getIsExtension

boolean getIsExtension()
`required bool is_extension = 2 [json_name = "isExtension"];`

Returns:
  The isExtension.